
version: "3.7"
volumes:
    nfs-share-config:
       driver: local
       driver_opts:
          device: ":/nfstest01/home/josh.davis/.codeserver/config"
          o: "addr=10.184.75.38,rw,noatime,vers=3,proto=tcp,rsize=1048576,wsize=1048576,timeo=10000,soft,intr,nolock"
          type: "nfs"  
               
    nfs-share-home:
       driver: local
       driver_opts:
          device: ":/nfstest01/home/josh.davis"
          o: "addr=10.184.75.38,rw,noatime,vers=3,proto=tcp,rsize=1048576,wsize=1048576,timeo=10000,soft,intr,nolock"
          type: nfs    
services:
   code-server:
      image: linuxserver/code-server
      container_name: code-server
      environment:
          - PUID=1000
          - PGID=1000
          - TZ="America/Indiana/Indianapolis"
          - PASSWORD=password #optional
          #- SUDO_PASSWORD=password #optional
          #- PROXY_DOMAIN=code-server.my.domain #optional
      volumes: 
        - type: volume 
          source: nfs-share-home
          target: /home
          volume:
            nocopy: true
        - type: volume 
          source: nfs-share-config
          target: /config
          volume:
            nocopy: true
      ports:
        - 8443:8443
      restart: unless-stopped